
<?php
  //Добавляем участников из файла
  if(!empty($_POST['load']))
  {
    $FileName = $_POST['filename'];
    $FileArr = @file($FileName);
    if(empty($FileArr))
      $Errors[] = $Err_CantLoadFile;
    else {
      //ищем совпадающие логины
      //доделать
      for($i = 0; $i < count($FileArr); $i=$i+2)
      {
        $FileArr[$i] = trim($FileArr[$i]); $FileArr[($i+1)] = trim($FileArr[($i+1)]);
        if(strlen($FileArr[$i]) > 30)
        {
          $Errors[] = "{$Err_pud_InLine}".($i+1).".{$Err_pud_LoginLimit}";
          break;
        }
        if(strlen($FileArr[($i+1)]) > 60)
        {
          $Errors[] = "{$Err_pud_InLine}".($i+2).".Максимальная длина email - 60 символов";
          break;
        }
      }
      if(empty($Errors))
      {
        $Users = @file($UsersDatabase);
        if(!empty($Users))
          $UsersStr = implode('', $Users);
        $Str = implode('', $FileArr)."\n".$UsersStr;
        $Message = SaveStringInFile($UsersDatabase, $Str, 'w');
        if($Message == '')
        {
          $TmpPos = strrpos($FileName, "/");
          if(!$TmpPos)
            $TmpPos = strrpos($FileName, "\\");
          $Tmp = substr($FileName, $TmpPos+1, strlen($FileName)-1);
          $Message = "Данные о пользователях из файла <b>{$Tmp}</b> были успешно внесены в базу";
        }
      }
    }
  }

  print "<form action='' method=post>";
  print "<h4>База участников</h4>";
  print "<h5>Загрузить из файла</h5>";
  if($ShowTips == 'yes')
    ShowTips($Page);
  ShowErrors($Errors);
  ShowMessage($Message);
  include('_form_loadusersfromfile.inc');
  print "</form>";
?>